<?php
namespace Bushelpowered\Api\Iam\Access\Manage\V1alpha\Response;
        
class SubjectGroupMembersResponse implements Api\Iam\Access\Common\V1alpha\Mixins\HasResultWindow
{
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1alpha\SubjectGroup[] $data */
    public array $data;
    public \Bushelpowered\Api\Iam\Access\Common\V1alpha\Mixins\ConsistencyToken $resultWindow;

    /**
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1alpha\SubjectGroup[]  $data
     * @param  null  $resultWindow
     */
    public function __construct(array $data, \Bushelpowered\Api\Iam\Access\Common\V1alpha\Mixins\ConsistencyToken $resultWindow)
    {
        $this->data = $data;
        $this->resultWindow = $resultWindow;
    }
    
    public function getResultWindow(): \Bushelpowered\Api\Iam\Access\Common\V1alpha\Mixins\ConsistencyToken
    {
        return $this->resultWindow;
    }
}